version: "3"

networks:
  rocketchat:
  proxy:
    external:
      name: proxy

volumes:
  mongodb_data: { driver: local }

services:
  rocketchat:
    image: {{rocketchat_image}}:{{rocketchat_image_version}}
    restart: on-failure
    logging:
      options:
        max-size: 5m
    environment:
      MONGO_URL: "mongodb://mongodb:27017/rocketchat?replicaSet=rs0"
      MONGO_OPLOG_URL: "mongodb://mongodb:27017/local?replicaSet=rs0"
      ROOT_URL: "http://{{rocketchat_service_name}}"
      PORT: 3000
      DEPLOY_METHOD: docker
      DEPLOY_PLATFORM: $${DEPLOY_PLATFORM}
    networks:
      - rocketchat
      - proxy
    depends_on:
      - mongodb
    #expose:
    #  - $${PORT:-3000}
    ports:
      - 3000

  mongodb:
    image: docker.io/bitnami/mongodb:latest
    restart: on-failure
    logging:
      options:
        max-size: 5m
    volumes:
      - mongodb_data:/bitnami/mongodb
    environment:
      MONGODB_REPLICA_SET_MODE: "primary"
      MONGODB_REPLICA_SET_NAME: "rs0"
      MONGODB_PORT_NUMBER: 27017
      MONGODB_INITIAL_PRIMARY_HOST: "mongodb"
      MONGODB_INITIAL_PRIMARY_PORT_NUMBER: 27017
      MONGODB_ADVERTISED_HOSTNAME: "mongodb"
      MONGODB_ENABLE_JOURNAL: "true"
      ALLOW_EMPTY_PASSWORD: "yes"
    networks:
      - rocketchat